<?php
require_once('statistics_inc.php');

function PN_Blog_Statistics_Default()
{
	global $database, $owner, $defaultURL, $pluginURL, $pluginMenuURL, $configVal;
	$data = fetchConfigVal($configVal);
	if(is_null($data)){
		$data['privateChk'] = 2;
	}
	$getVisibility =($data['privateChk'] == 2)?" AND visibility > 0 ":"";

	requireComponent( "Tattertools.Model.Statistics");
	requireComponent('Tattertools.Function.misc');
	$stats = Statistics::getStatistics($owner);
	$getDate  = isset($_GET['date']) ? $_GET['date'] : date('Y', strtotime("now"));
	$getMenu  = isset($_GET['menu']) ? $_GET['menu'] : "entry";
	$getYear  = substr($getDate,0,4);
	$getMonth = substr($getDate,4);

	$yearRow  = DBQuery::queryAll("SELECT EXTRACT(YEAR FROM FROM_UNIXTIME(published)) period, COUNT(*) count FROM {$database['prefix']}Entries WHERE owner = $owner AND draft = 0 {$getVisibility} AND category >= 0 GROUP BY period ORDER BY period DESC"); 
	$yearCell = DBQuery::queryCell("SELECT COUNT(*) FROM {$database['prefix']}Entries WHERE owner = $owner AND draft = 0 {$getVisibility} AND category >= 0 AND EXTRACT(YEAR FROM FROM_UNIXTIME(published)) = '".date('Y', strtotime("now"))."'"); 
	$yearAll  = DBQuery::queryCell("SELECT COUNT(*) FROM {$database['prefix']}Entries WHERE owner = $owner AND draft = 0 {$getVisibility} AND category >= 0"); 
	$yearSelect  = "<select id=\"yearSelect\" onchange=\"execDate(this);\">\n";
	$yearSelect .= "<option value=\"\">&nbsp;----- 년도 선택 -----</option>\n";	
	$selected = ($getYear == 9999)?" selected":"";
	$yearSelect .= "<option value=\"9999\" style=\"font-weight:bold;\" {$selected}>&nbsp;# 전 &nbsp;체 ({$yearAll})</option>\n";	
	if(!$yearCell){
		$selected = ($getYear == date('Y', strtotime("now")))?" selected":"";
		$yearSelect .= "<option value=\"".date('Y', strtotime("now"))."\" {$selected}>&nbsp;".date('Y', strtotime("now"))."년 (0)</option>\n";		
	}
	foreach($yearRow as $items){
		$selected = ($getYear == $items['period'])?" selected":"";
		$yearSelect .= "<option value=\"{$items['period']}\" {$selected}>&nbsp;{$items['period']}년 ({$items['count']})</option>\n";
	}
	$yearSelect .= "</select>\n";

	$monthSelect  = "<select id=\"monthSelect\" onchange=\"execDate(this);\">\n";
	$monthSelect .= "<option value=\"\">&nbsp;-월 선택-</option>\n";
	$monthSelect .= "<option value=\"{$getYear}\">&nbsp;#전체</option>\n";
	for ($i=1; $i<=12; $i++) {
		$gMonth = (strlen($i) == 1)?"0".$i:$i;
		$gValue = $getYear.$gMonth;
		$selected = ($getMonth == $gMonth)?" selected":"";
		$monthSelect .= "<option value=\"{$gValue}\" {$selected}>&nbsp;".$gMonth."월</option>\n";
	}
	$monthSelect .= "</select>\n";

	$noticeRow = DBQuery::queryCell("SELECT COUNT(*) FROM {$database['prefix']}Entries WHERE owner = $owner AND draft = 0 {$getVisibility} AND category = -2"); //공지
	$keywordRow = DBQuery::queryCell("SELECT COUNT(*) FROM {$database['prefix']}Entries WHERE owner = $owner AND draft = 0 {$getVisibility} AND category = -1"); //키워드
?>
<script type="text/javascript">
//<![CDATA[
	function execLoadFunction() {
		tempDiv = document.createElement("DIV");
		tempDiv.style.clear = "both";
		document.getElementById("part-statistics-blog").appendChild(tempDiv);
	}

	function execDate(selectObject){
		if(selectObject.options[selectObject.selectedIndex].value){
			location.href="<?php echo $pluginMenuURL;?>&date="+selectObject.options[selectObject.selectedIndex].value+"&menu=<?php echo $getMenu;?>";
		}
	}

	window.addEventListener("load", execLoadFunction, false);
//]]>
</script>
					 		
<div id="part-statistics-blog" class="part">
	<h2 class="caption"><span class="main-text">블로그 통계정보를 보여줍니다</span></h2>
	<div id="statistics-main">
		<div id="statistics-counter-inbox">
			<div class="title"><h3><?php echo _t('종 합 정 보');?></h3></div>
			<table width="100%">
				<tbody>
					<tr class="tr">
						<td colspan="2"><?php echo _t('년/월별 선택');?><br />
						<?php echo $yearSelect;?> <?php echo $monthSelect;?></td>
					</tr>
					<tr height="5"><td colspan="2"></td></tr>
					<tr height="1" bgcolor="#dddddd"><td colspan="2"></td></tr>
					<tr class="tr">
						<td><?php echo _t('오늘 방문자');?></td>
						<th><?php echo number_format($stats['today']);?></th>
					</tr>
					<tr class="tr">
						<td><?php echo _t('어제 방문자');?></td>
						<th><?php echo number_format($stats['yesterday']);?></th>
					</tr>
					<tr class="tr">
						<td><?php echo _t('총 방문자');?></td>
						<th><?php echo number_format($stats['total']);?></th>
					</tr>
					<tr height="1" bgcolor="#dddddd"><td colspan="2"></td></tr>
					<tr class="tr">
						<td><?php echo _t('글 개수');?></td>
						<th><?php echo number_format(getEntriesTotalCountDB($owner));?></th>
					</tr>
					<tr class="tr">
						<td><?php echo _t('공지 개수');?></td>
						<th><?php echo number_format($noticeRow);?></th>
					</tr>
					<tr class="tr">
						<td><?php echo _t('키워드 개수');?></td>
						<th><?php echo number_format($keywordRow);?></th>
					</tr>
					<tr class="tr">
						<td><?php echo _t('댓글 개수');?></td>
						<th><?php echo number_format(getCommentCountDB($owner));?></th>
					</tr>
					<tr class="tr">
						<td><?php echo _t('방명록 개수');?></td>
						<th><?php echo number_format(getGuestbookCountDB($owner));?></th>
					</tr>
					<tr class="tr">
						<td><?php echo _t('엮인글 개수');?></td>
						<th><?php echo number_format(getTrackbackCountDB($owner));?></th>
					</tr>
					<tr height="10"><td colspan="2"></td></tr>
				</tbody>
			</table>
			<div class="title"><h3><?php echo _t('세 부 메 뉴');?></h3></div>
			<table width="100%">
				<tbody>
					<tr class="tr">
						<td>&nbsp;&raquo; <a href="<?php echo $pluginMenuURL;?>&amp;date=<?php echo $getDate;?>&amp;menu=entry"><?php echo _get_t('글(포스트) 통계', 'entry');?></a></td>
					</tr>
					<tr class="tr">
						<td>&nbsp;&raquo; <a href="<?php echo $pluginMenuURL;?>&amp;date=<?php echo $getDate;?>&amp;menu=comment"><?php echo _get_t('댓글 통계', 'comment');?></a></td>
					</tr>
					<tr class="tr">
						<td>&nbsp;&nbsp;&nbsp;&nbsp; - <a href="<?php echo $pluginMenuURL;?>&amp;date=<?php echo $getDate;?>&amp;menu=commenter"><?php echo _get_t('작성자 목록', 'commenter');?></a></td>
					</tr>
					<tr class="tr">
						<td>&nbsp;&raquo; <a href="<?php echo $pluginMenuURL;?>&amp;date=<?php echo $getDate;?>&amp;menu=trackback"><?php echo _get_t('걸린글(트랙백) 통계', 'trackback');?></a></td>
					</tr>
					<tr class="tr">
						<td>&nbsp;&raquo; <a href="<?php echo $pluginMenuURL;?>&amp;date=<?php echo $getDate;?>&amp;menu=guestbook"><?php echo _get_t('방명록 통계', 'guestbook');?></a></td>
					</tr>
					<tr class="tr">
						<td>&nbsp;&nbsp;&nbsp;&nbsp; - <a href="<?php echo $pluginMenuURL;?>&amp;date=<?php echo $getDate;?>&amp;menu=guestbookcommenter"><?php echo _get_t('작성자 목록', 'guestbookcommenter');?></a></td>
					</tr>
					<tr class="tr">
						<td>&nbsp;&raquo; <a href="<?php echo $pluginMenuURL;?>&amp;date=<?php echo $getDate;?>&amp;menu=tag"><?php echo _get_t('태그 통계', 'tag');?></a></td>
					</tr>
					<tr class="tr">
						<td>&nbsp;&raquo; <a href="<?php echo $pluginMenuURL;?>&amp;date=<?php echo $getDate;?>&amp;menu=visit"><?php echo _get_t('방문자 통계', 'visit');?></a></td>
					</tr>
					<tr class="tr">
						<td>&nbsp;&raquo; <a href="<?php echo $pluginMenuURL;?>&amp;date=<?php echo $getDate;?>&amp;menu=referer"><?php echo _get_t('리퍼러 통계', 'referer');?></a></td>
					</tr>
				</tbody>
			</table>
		</div>
		<div id="statistics-inbox">
<?php
//##############################
// 글(포스트) 통계 #########
//##############################
if($getMenu == "entry"){
	if($getYear == 9999 && !$getMonth)
	{
		$getData = array();
		$getTags = array();
		$getDateTitle = "전체 년도별";

		$tempData = getStatisticsDB('years', '', $getMenu);
		foreach ($tempData as $item){
			array_push($getData, $item['count']);
			array_push($getTags, $item['period']."년");
		}
		$getData  = implode("|", $getData);
		$getTags  = implode("|", $getTags);
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 글(포스트) 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>YearStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>YearStic")
									</script>
								</div>
							</div>
						</td>
<?php
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>YearPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>YearPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?
	}
	$getData = array();
	$getTags = array();
	if($getYear == 9999){
		$getDateTitle = (!$getMonth)?"전체":"전체 ".$getMonth."월";
	}else{
		$getDateTitle = (!$getMonth)?$getYear."년도":$getYear."년도 ".$getMonth."월";	
	}
	if(!$getMonth){
		$lastCount = 12;
		$textValue = "월";
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
	}else{
		$lastCount = ($getYear == 9999)?31:date('t',mktime(0,0,0,$getMonth,1,$getYear));	
		$textValue = "";
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=8&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	}

	for ($i=1; $i<=$lastCount; $i++) {
		$tempData = getStatisticsDB($getDate, $i, $getMenu);
		if(!$tempData){
			array_push($getData, 0);
			array_push($getTags, $i.$textValue);
		}else{
			array_push($getData, $tempData['count']);
			array_push($getTags, $i.$textValue);
		}
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 글(포스트) 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>Stic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>Stic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>Pizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>Pizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	if(!$getMonth){
		$getData = array();
		$getTags = array();
		for ($i=1; $i<=4; $i++) {
			$tempData = getQuartersStatistics($getDate, $i, $getMenu);
			array_push($getData, $tempData);
			array_push($getTags, $i."/4 분기");
		}
		$getData  = implode("|", $getData);
		$getTags  = implode("|", $getTags);
		$getVars  = "gAxisWidth=60&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 분기별 글(포스트) 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>QuartersStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","403","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>QuartersStic")
									</script>
								</div>
							</div>
						</td>
<?php
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>QuartersPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>QuartersPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	}
	$getData = array();
	$getTags = array();
	$tempData = getCategoryStatistics();
	if(count($tempData) > 15){
		foreach ($tempData as $item){
			array_push($getData, getCategoryStatisticsTotal($item['id'], $getDate));
			array_push($getTags, $item['id']);
		}
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=5&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	}else{
		foreach ($tempData as $item){
			array_push($getData, getCategoryStatisticsTotal($item['id'], $getDate));
			array_push($getTags, $item['name']);
		}
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gAxisWidth=90&gEffect=2&gBarWidth=5&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 카테고리별 글(포스트) 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>CategoryStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>CategoryStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getData = array();
	$getTags = array();
	foreach ($tempData as $item){
		array_push($getData, getCategoryStatisticsTotal($item['id'], $getDate));
		array_push($getTags, $item['name']);
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>CategoryPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>CategoryPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	$query = "SELECT * FROM {$database['prefix']}Entries_hits";
	if (DBQuery::queryRow($query)) {
		$getData = array();
		$getTags = array();
		$tempData = getEntryHitsStatistics($getDate);
		foreach ($tempData as $item){
			array_push($getData, $item['hits']);
			array_push($getTags, htmlspecialchars(UTF8::lessenAsEm($item['title'],15)));
		}
		$getData  = implode("|", $getData);
		$getTags  = implode("|", $getTags);
		$getVars  = "gAxisWidth=90&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 조회수별 글(포스트) 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>erMaxStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>erMaxStic")
									</script>
								</div>
							</div>
						</td>
<?php
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>erMaxPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>erMaxPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	}
	$getData = array();
	$getTags = array();
	for ($i=0; $i<=23; $i++) {
		$tempData = getTimeStatistics($getDate, $i, $getMenu);
		if(!$tempData){
			if($i == 0){
				$tmpData = 0;
				$tmpTags = "24시";
			}else{
				array_push($getData, 0);
				array_push($getTags, $i."시");
			}
		}else{
			if($tempData['period'] == "00"){
				$tmpData = $tempData['count'];
				$tmpTags = str_replace("00","24",$tempData['period'])."시";
			}else{
				if(substr($tempData['period'], 0, 1) == "0") $tempData['period'] = str_replace("0","",$tempData['period']);
				array_push($getData, $tempData['count']);
				array_push($getTags, $tempData['period']."시");
			}
		}
	}
	array_push($getData, $tmpData);
	array_push($getTags, $tmpTags);
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gLabelOccurrence=*3&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=10&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 시간대별 글(포스트) 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>TimeStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","403","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>TimeStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>TimePizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>TimePizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
			<hr class="hidden" />
<?php
}else if($getMenu == "comment"){
//##############################
// 댓글 통계 ###################
//##############################
	if($getYear == 9999 && !$getMonth)
	{
		$getData = array();
		$getTags = array();
		$getDateTitle = "전체 년도별";

		$tempData = getStatisticsDB('years', '', $getMenu);
		foreach ($tempData as $item){
			array_push($getData, $item['count']);
			array_push($getTags, $item['period']."년");
		}
		$getData  = implode("|", $getData);
		$getTags  = implode("|", $getTags);
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 댓글 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>YearStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>YearStic")
									</script>
								</div>
							</div>
						</td>
<?php
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>YearPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>YearPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?
	}
	$getData = array();
	$getTags = array();
	if($getYear == 9999){
		$getDateTitle = (!$getMonth)?"전체":"전체 ".$getMonth."월";
	}else{
		$getDateTitle = (!$getMonth)?$getYear."년도":$getYear."년도 ".$getMonth."월";	
	}
	if(!$getMonth){
		$lastCount = 12;
		$textValue = "월";
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
	}else{
		$lastCount = ($getYear == 9999)?31:date('t',mktime(0,0,0,$getMonth,1,$getYear));	
		$textValue = "";
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=8&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	}

	for ($i=1; $i<=$lastCount; $i++) {
		$tempData = getStatisticsDB($getDate, $i, $getMenu);
		if(!$tempData){
			array_push($getData, 0);
			array_push($getTags, $i.$textValue);
		}else{
			array_push($getData, $tempData['count']);
			array_push($getTags, $i.$textValue);
		}
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 댓글 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>Stic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>Stic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>Pizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>Pizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	if(!$getMonth){
		$getData = array();
		$getTags = array();
		for ($i=1; $i<=4; $i++) {
			$tempData = getQuartersStatistics($getYear, $i, $getMenu);
			array_push($getData, $tempData);
			array_push($getTags, $i."/4 분기");
		}
		$getData  = implode("|", $getData);
		$getTags  = implode("|", $getTags);
		$getVars  = "gAxisWidth=60&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 분기별 댓글 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>QuartersStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","403","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>QuartersStic")
									</script>
								</div>
							</div>
						</td>
<?php
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>QuartersPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>QuartersPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	}
	$getData = array();
	$getTags = array();
	$tempData = getCommentEntryMaxCount($getDate);
	foreach ($tempData as $item){
		array_push($getData, $item['comments']);
		array_push($getTags, htmlspecialchars(UTF8::lessenAsEm($item['title'],15)));
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gAxisWidth=90&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 댓글 TOP 10 글 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>EntryMaxStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>EntryMaxStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>EntryMaxPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>EntryMaxPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	$getData = array();
	$getTags = array();
	$tempData = getCommenterMaxCount($getDate, $getMenu);
	foreach ($tempData as $item){
		array_push($getData, $item['namecnt']);
		array_push($getTags, htmlspecialchars(UTF8::lessenAsEm($item['name'],15)));
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gAxisWidth=90&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 댓글자 TOP 10 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>erMaxStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>erMaxStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>erMaxPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>erMaxPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	$getData = array();
	$getTags = array();
	for ($i=0; $i<=23; $i++) {
		$tempData = getTimeStatistics($getDate, $i, $getMenu);
		if(!$tempData){
			if($i == 0){
				$tmpData = 0;
				$tmpTags = "24시";
			}else{
				array_push($getData, 0);
				array_push($getTags, $i."시");
			}
		}else{
			if($tempData['period'] == "00"){
				$tmpData = $tempData['count'];
				$tmpTags = str_replace("00","24",$tempData['period'])."시";
			}else{
				if(substr($tempData['period'], 0, 1) == "0") $tempData['period'] = str_replace("0","",$tempData['period']);
				array_push($getData, $tempData['count']);
				array_push($getTags, $tempData['period']."시");
			}
		}
	}
	array_push($getData, $tmpData);
	array_push($getTags, $tmpTags);
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gLabelOccurrence=*3&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=10&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 시간대별 댓글 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>TimeStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","403","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>TimeStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>TimePizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>TimePizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
			<hr class="hidden" />
<?php
}else if($getMenu == "commenter"){
//##############################
// 댓글 작성자 목록 ############
//##############################
	if($getYear == 9999){
		$getDateTitle = (!$getMonth)?"전체":"전체 ".$getMonth."월";
	}else{
		$getDateTitle = (!$getMonth)?$getYear."년도":$getYear."년도 ".$getMonth."월";	
	}
	$tempData = getCommenterMaxCount($getDate, $getMenu);
	$tempAllCount = getCommenterMaxCount(9999, $getMenu);
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 댓글 작성자 목록(<?php echo number_format(count($tempData))."/".number_format(count($tempAllCount));?>명)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
						<div id="commenterList">
<?php
	$i = 0;
	foreach ($tempData as $item){
		$guestname = htmlspecialchars(UTF8::lessenAsEm($item['name'],20));
		if(!empty($item['home'])){
			$homepage = ereg('^[[:alnum:]]+:', $item['home'])?htmlspecialchars($item['home']):"http://".htmlspecialchars($item['home']);
			$guestname = "<a href=\"{$homepage}\" onclick=\"window.open(this.href); return false;\">{$guestname}</a>";
		}
		$count = "<span class=\"count\">(".$item['namecnt'].")</span>";
?>
							<div class="userlist"><?php echo $guestname?> <?php echo $count?></div><?php if(($i%4) == 3) echo "<div class=\"clear\"></div>\n";?>
<?
	$i++;
	}
?>
						</div>
						</td>
					</tr>
				</tbody>
			</table>
			<hr class="hidden" />
<?php
}else if($getMenu == "trackback"){
//##############################
// 역인글 통계 #################
//##############################
	if($getYear == 9999 && !$getMonth)
	{
		$getData = array();
		$getTags = array();
		$getDateTitle = "전체 년도별";

		$tempData = getStatisticsDB('years', '', $getMenu);
		foreach ($tempData as $item){
			array_push($getData, $item['count']);
			array_push($getTags, $item['period']."년");
		}
		$getData  = implode("|", $getData);
		$getTags  = implode("|", $getTags);
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 걸린글(트랙백) 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>YearStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>YearStic")
									</script>
								</div>
							</div>
						</td>
<?php
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>YearPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>YearPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?
	}
	$getData = array();
	$getTags = array();
	if($getYear == 9999){
		$getDateTitle = (!$getMonth)?"전체":"전체 ".$getMonth."월";
	}else{
		$getDateTitle = (!$getMonth)?$getYear."년도":$getYear."년도 ".$getMonth."월";	
	}
	if(!$getMonth){
		$lastCount = 12;
		$textValue = "월";
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
	}else{
		$lastCount = ($getYear == 9999)?31:date('t',mktime(0,0,0,$getMonth,1,$getYear));	
		$textValue = "";
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=8&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	}

	for ($i=1; $i<=$lastCount; $i++) {
		$tempData = getStatisticsDB($getDate, $i, $getMenu);
		if(!$tempData){
			array_push($getData, 0);
			array_push($getTags, $i.$textValue);
		}else{
			array_push($getData, $tempData['count']);
			array_push($getTags, $i.$textValue);
		}
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 걸린글(트랙백) 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>Stic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic3","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>Stic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>Pizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza3","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>Pizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	if(!$getMonth){
		$getData = array();
		$getTags = array();
		for ($i=1; $i<=4; $i++) {
			$tempData = getQuartersStatistics($getYear, $i, $getMenu);
			array_push($getData, $tempData);
			array_push($getTags, $i."/4 분기");
		}
		$getData  = implode("|", $getData);
		$getTags  = implode("|", $getTags);
		$getVars  = "gAxisWidth=60&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 분기별 걸린글(트랙백) 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>QuartersStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","403","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>QuartersStic")
									</script>
								</div>
							</div>
						</td>
<?php
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>QuartersPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>QuartersPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	}
	$getData = array();
	$getTags = array();
	$getLink = array();
	$tempData = getTrackbackEntryMaxCount($getDate);
	foreach ($tempData as $item){
		array_push($getData, $item['trackbacks']);
		array_push($getTags, htmlspecialchars(UTF8::lessenAsEm($item['title'],15)));
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gAxisWidth=90&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 걸린글(트랙백) 받은 TOP 10 글 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>EntryMaxStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>EntryMaxStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>EntryMaxPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>EntryMaxPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	$getData = array();
	$getTags = array();
	$tempData = getTrackbackCallEntryMaxCount($getDate);
	foreach ($tempData as $item){
		array_push($getData, $item['trackbacklogs']);
		array_push($getTags, htmlspecialchars(UTF8::lessenAsEm($item['title'],15)));
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gAxisWidth=90&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 걸린글(트랙백) 보낸 TOP 10 글 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>CallEntryMaxStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>CallEntryMaxStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>CallEntryMaxPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>CallEntryMaxPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	$getData = array();
	$getTags = array();
	for ($i=0; $i<=23; $i++) {
		$tempData = getTimeStatistics($getDate, $i, $getMenu);
		if(!$tempData){
			if($i == 0){
				$tmpData = 0;
				$tmpTags = "24시";
			}else{
				array_push($getData, 0);
				array_push($getTags, $i."시");
			}
		}else{
			if($tempData['period'] == "00"){
				$tmpData = $tempData['count'];
				$tmpTags = str_replace("00","24",$tempData['period'])."시";
			}else{
				if(substr($tempData['period'], 0, 1) == "0") $tempData['period'] = str_replace("0","",$tempData['period']);
				array_push($getData, $tempData['count']);
				array_push($getTags, $tempData['period']."시");
			}
		}
	}
	array_push($getData, $tmpData);
	array_push($getTags, $tmpTags);
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gLabelOccurrence=*3&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=10&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 시간대별 걸린글(트랙백) 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>TimeStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","403","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>TimeStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>TimePizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>TimePizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
			<hr class="hidden" />
<?php
}else if($getMenu == "guestbook"){
//##############################
// 방명록 통계 #################
//##############################
	if($getYear == 9999 && !$getMonth)
	{
		$getData = array();
		$getTags = array();
		$getDateTitle = "전체 년도별";

		$tempData = getStatisticsDB('years', '', $getMenu);
		foreach ($tempData as $item){
			array_push($getData, $item['count']);
			array_push($getTags, $item['period']."년");
		}
		$getData  = implode("|", $getData);
		$getTags  = implode("|", $getTags);
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 방명록 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>YearStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>YearStic")
									</script>
								</div>
							</div>
						</td>
<?php
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>YearPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>YearPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?
	}
	$getData = array();
	$getTags = array();
	if($getYear == 9999){
		$getDateTitle = (!$getMonth)?"전체":"전체 ".$getMonth."월";
	}else{
		$getDateTitle = (!$getMonth)?$getYear."년도":$getYear."년도 ".$getMonth."월";	
	}
	if(!$getMonth){
		$lastCount = 12;
		$textValue = "월";
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
	}else{
		$lastCount = ($getYear == 9999)?31:date('t',mktime(0,0,0,$getMonth,1,$getYear));	
		$textValue = "";
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=8&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	}

	for ($i=1; $i<=$lastCount; $i++) {
		$tempData = getStatisticsDB($getDate, $i, $getMenu);
		if(!$tempData){
			array_push($getData, 0);
			array_push($getTags, $i.$textValue);
		}else{
			array_push($getData, $tempData['count']);
			array_push($getTags, $i.$textValue);
		}
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 방명록 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>Stic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic4","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>Stic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>Pizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza4","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>Pizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	if(!$getMonth){
		$getData = array();
		$getTags = array();
		for ($i=1; $i<=4; $i++) {
			$tempData = getQuartersStatistics($getYear, $i, $getMenu);
			array_push($getData, $tempData);
			array_push($getTags, $i."/4 분기");
		}
		$getData  = implode("|", $getData);
		$getTags  = implode("|", $getTags);
		$getVars  = "gAxisWidth=60&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 분기별 방명록 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>QuartersStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","403","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>QuartersStic")
									</script>
								</div>
							</div>
						</td>
<?php
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>QuartersPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>QuartersPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	}
	$getData = array();
	$getTags = array();
	$tempData = getCommenterMaxCount($getDate, $getMenu);
	foreach ($tempData as $item){
		array_push($getData, $item['namecnt']);
		array_push($getTags, htmlspecialchars(UTF8::lessenAsEm($item['name'],15)));
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gAxisWidth=90&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 방명록 댓글자 TOP 10 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>CommenterMaxStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>CommenterMaxStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>CommenterMaxPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>CommenterMaxPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	$getData = array();
	$getTags = array();
	for ($i=0; $i<=23; $i++) {
		$tempData = getTimeStatistics($getDate, $i, $getMenu);
		if(!$tempData){
			if($i == 0){
				$tmpData = 0;
				$tmpTags = "24시";
			}else{
				array_push($getData, 0);
				array_push($getTags, $i."시");
			}
		}else{
			if($tempData['period'] == "00"){
				$tmpData = $tempData['count'];
				$tmpTags = str_replace("00","24",$tempData['period'])."시";
			}else{
				if(substr($tempData['period'], 0, 1) == "0") $tempData['period'] = str_replace("0","",$tempData['period']);
				array_push($getData, $tempData['count']);
				array_push($getTags, $tempData['period']."시");
			}
		}
	}
	array_push($getData, $tmpData);
	array_push($getTags, $tmpTags);
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gLabelOccurrence=*3&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=10&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 시간대별 방명록 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>TimeStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","403","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>TimeStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>TimePizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>TimePizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
			<hr class="hidden" />
<?php
}else if($getMenu == "guestbookcommenter"){
//##############################
// 방명록 작성자 목록 ############
//##############################
	if($getYear == 9999){
		$getDateTitle = (!$getMonth)?"전체":"전체 ".$getMonth."월";
	}else{
		$getDateTitle = (!$getMonth)?$getYear."년도":$getYear."년도 ".$getMonth."월";	
	}
	$tempData = getCommenterMaxCount($getDate, $getMenu);
	$tempAllCount = getCommenterMaxCount(9999, $getMenu);
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 방명록 작성자 목록(<?php echo number_format(count($tempData))."/".number_format(count($tempAllCount));?>명)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
						<div id="commenterList">
<?php
	$i = 0;
	foreach ($tempData as $item){
		$guestname = htmlspecialchars(UTF8::lessenAsEm($item['name'],20));
		if(!empty($item['home'])){
			$homepage = ereg('^[[:alnum:]]+:', $item['home'])?htmlspecialchars($item['home']):"http://".htmlspecialchars($item['home']);
			$guestname = "<a href=\"{$homepage}\" onclick=\"window.open(this.href); return false;\">{$guestname}</a>";
		}
		$count = "<span class=\"count\">(".$item['namecnt'].")</span>";
?>
							<div class="userlist"><?php echo $guestname?> <?php echo $count?></div><?php if(($i%4) == 3) echo "<div class=\"clear\"></div>\n";?>
<?
	$i++;
	}
?>
						</div>
						</td>
					</tr>
				</tbody>
			</table>
			<hr class="hidden" />
<?php
}else if($getMenu == "tag"){
//##############################
// 태그 통계 ###################
//##############################
	$getDateTitle = (!$getMonth)?$getYear."년도":$getYear."년도 ".$getMonth."월";
	$getData = array();
	$getTags = array();
	$tempData = getTagMaxCount();
	foreach ($tempData as $item){
		array_push($getData, $item['count']);
		array_push($getTags, htmlspecialchars(UTF8::lessenAsEm($item['name'],15)));
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gAxisWidth=90&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3>인기 태그 TOP 10 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>MaxStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>MaxStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>MaxPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>MaxPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	$getData = array();
	$getTags = array();
	if($getYear == 9999){
		$getDateTitle = (!$getMonth)?"전체":"전체 ".$getMonth."월";
	}else{
		$getDateTitle = (!$getMonth)?$getYear."년도":$getYear."년도 ".$getMonth."월";	
	}
	$tempData = getTagEntryMaxCount($getDate, 1);
	foreach ($tempData as $item){
		array_push($getData, $item['count']);
		array_push($getTags, htmlspecialchars(UTF8::lessenAsEm($item['title'],15)));
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gAxisWidth=90&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 태그 걸린 TOP 10 글 통계(<?php echo number_format(getTagEntryMaxCount($getDate, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>EntryMaxStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>EntryMaxStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>EntryMaxPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>EntryMaxPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
			<hr class="hidden" />
<?php
}else if($getMenu == "visit"){
//##############################
// 방문자 통계 #################
//##############################
	if($getYear == 9999 && !$getMonth)
	{
		$getData = array();
		$getTags = array();
		$getDateTitle = "전체 년도별";

		$tempData = getStatisticsDB('years', '', $getMenu);
		foreach ($tempData as $item){
			array_push($getData, $item['count']);
			array_push($getTags, $item['period']."년");
		}
		$getData  = implode("|", $getData);
		$getTags  = implode("|", $getTags);
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 방문자 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>YearStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>YearStic")
									</script>
								</div>
							</div>
						</td>
<?php
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>YearPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>YearPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?
	}
	$getData = array();
	$getTags = array();
	if($getYear == 9999){
		$getDateTitle = (!$getMonth)?"전체":"전체 ".$getMonth."월";
	}else{
		$getDateTitle = (!$getMonth)?$getYear."년도":$getYear."년도 ".$getMonth."월";	
	}
	if(!$getMonth){
		$lastCount = 12;
		$textValue = "월";
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=dotum&gTagFontSizeX=11&gApplyShadow=0&gInterval=50";
	}else{
		$lastCount = ($getYear == 9999)?31:date('t',mktime(0,0,0,$getMonth,1,$getYear));	
		$textValue = "";
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=8&gDirection=v&gTagFontY=tahoma&gTagFontSizeY=9&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	}

	for ($i=1; $i<=$lastCount; $i++) {
		$tempData = getStatisticsDB($getDate, $i, $getMenu);
		if(!$tempData){
			array_push($getData, 0);
			array_push($getTags, $i.$textValue);
		}else{
			array_push($getData, $tempData['count']);
			array_push($getTags, $i.$textValue);
		}
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 방문자 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>Stic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic5","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>Stic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>Pizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza5","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>Pizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	if(!$getMonth){
		$getData = array();
		$getTags = array();
		for ($i=1; $i<=4; $i++) {
			$tempData = getQuartersStatistics($getYear, $i, $getMenu);
			array_push($getData, $tempData);
			array_push($getTags, $i."/4 분기");
		}
		$getData  = implode("|", $getData);
		$getTags  = implode("|", $getTags);
		$getVars  = "gAxisWidth=60&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3><?php echo $getDateTitle;?> 분기별 방문자 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 0))."/".number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>QuartersStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","403","220","flashStic1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>QuartersStic")
									</script>
								</div>
							</div>
						</td>
<?php
		$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
		$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>QuartersPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza1","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>QuartersPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
			<hr class="hidden" />
			<hr class="hidden" />
<?php
	}
}else if($getMenu == "referer"){
//##############################
// 리퍼러 통계 #################
//##############################
	$getData = array();
	$getTags = array();
	$tempData = getRefererMaxCount();
	foreach ($tempData as $item){
		array_push($getData, $item['count']);
		array_push($getTags, htmlspecialchars(UTF8::lessenAsEm($item['host'],20)));
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gAxisWidth=120&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3>리퍼러 TOP 10 통계(<?php echo number_format(getStatisticsTotalDB($getDate, $getMenu, 1));?>개)</h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>MaxStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>MaxStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>MaxPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>MaxPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
	$getData = array();
	$getTags = array();
	$getDuplicate = array();
	$beforCount = "";
	$tempData = getRefererKeywordStatistics();
	foreach ($tempData as $item) if($item['count'] != $beforCount){ $beforCount = $item['count']; }else{	array_push($getDuplicate, $item['count']); } 
	$getDuplicate = array_count_values($getDuplicate);

	$beforCount = "";
	foreach ($tempData as $item){
		if($item['count'] != $beforCount && $item['rank'] < 11){
			array_push($getData, $item['count']);
			$duplicateCount = ($getDuplicate[$item['count']])?"(외 ".$getDuplicate[$item['count']]."개)":"(외 0개)";
			array_push($getTags, htmlspecialchars(UTF8::lessenAsEm($item['keyword'],15)).$duplicateCount);
			$beforCount = $item['count'];
		}
	}
	$getData  = implode("|", $getData);
	$getTags  = implode("|", $getTags);
	$getVars  = "gAxisWidth=120&gTooltipFont=dotum&gTooltipFontSize=11&gEffect=2&gBarWidth=15&gDirection=h&gTagFontY=dotum&gTagFontSizeY=11&gTagFontX=tahoma&gTagFontSizeX=9&gApplyShadow=0&gInterval=50";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
			<table class="data-inbox" cellspacing="0" cellpadding="0">
				<thead>
					<tr>
						<th colspan="2"><h3>리퍼러 키워드 TOP 10 통계(<?php echo number_format($tempData[0]['total']);?>개) : <?php echo $tempData[0]['dateStart'];?> ~ <?php echo $tempData[0]['dateEnd'];?></h3></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="flash-stic">
								<div id="get<?php echo $getMenu;?>KeywordMaxStic">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/stic.swf","400","220","flashStic2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>KeywordMaxStic")
									</script>
								</div>
							</div>
						</td>
<?php
	$getVars  = "gTooltipFont=dotum&gTooltipFontSize=11&gRadius=110&gHeight=45&gAutoStart=highest&gPercCipher=1";
	$getVars .= "&gData=".$getData."&gTags=".$getTags;
?>
						<td>
							<div class="flash-pizza">
								<div id="get<?php echo $getMenu;?>KeywordMaxPizza">
									<script type="text/javascript">
										writeCode(getEmbedCode("<?php echo $pluginURL;?>/pizza.swf","290","200","flashPizza2","#ffffff","<?php echo $getVars;?>","false","transparent"), "get<?php echo $getMenu;?>KeywordMaxPizza")
									</script>
								</div>
							</div>
						</td>
					</tr>
				</tbody>
			</table>
<?php
}
?>
		</div>
	</div>

</div>
						
<?php 
}

function Blog_Statistics_DataSet($DATA){
	requireComponent('Tattertools.Function.misc');
	$cfg = misc::fetchConfigVal($DATA);
	return true;
}
?>